
Nixie_32clock_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;Nixie clock.mbas,49 :: 		sub procedure interrupt()
;Nixie clock.mbas,53 :: 		if tmr0_interrupt then
	BTFSS      INTCON+0, 2
	GOTO       L_Nixie_32clock_interrupt2
;Nixie clock.mbas,55 :: 		tmr0_interrupt = 0
	BCF        INTCON+0, 2
;Nixie clock.mbas,57 :: 		inc(timetmr)
	INCF       _timetmr+0, 1
	BTFSC      STATUS+0, 2
	INCF       _timetmr+1, 1
;Nixie clock.mbas,62 :: 		if (timetmr = clockFactor/2) and (set_time_mode = 0) then
	MOVF       _timetmr+1, 0
	XORLW      23
	BTFSS      STATUS+0, 2
	GOTO       L_Nixie_32clock_interrupt121
	MOVLW      113
	XORWF      _timetmr+0, 0
L_Nixie_32clock_interrupt121:
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      _general_reg+0, 2
	GOTO       L_Nixie_32clock_interrupt7
	MOVLW      255
	MOVWF      R0+0
L_Nixie_32clock_interrupt7:
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L_Nixie_32clock_interrupt5
;Nixie clock.mbas,63 :: 		if led_mode_seconds then
	BTFSS      _general_reg+0, 4
	GOTO       L_Nixie_32clock_interrupt9
;Nixie clock.mbas,65 :: 		led_nixie = not led_nixie
	MOVLW      1
	XORWF      PORTA+0, 1
L_Nixie_32clock_interrupt9:
;Nixie clock.mbas,66 :: 		end if
L_Nixie_32clock_interrupt5:
;Nixie clock.mbas,68 :: 		if (timetmr >= clockFactor) and (set_time_mode = 0) then
	MOVLW      46
	SUBWF      _timetmr+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L_Nixie_32clock_interrupt122
	MOVLW      226
	SUBWF      _timetmr+0, 0
L_Nixie_32clock_interrupt122:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      _general_reg+0, 2
	GOTO       L_Nixie_32clock_interrupt14
	MOVLW      255
	MOVWF      R0+0
L_Nixie_32clock_interrupt14:
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L_Nixie_32clock_interrupt12
;Nixie clock.mbas,69 :: 		timetmr = 0
	CLRF       _timetmr+0
	CLRF       _timetmr+1
;Nixie clock.mbas,71 :: 		inc(seconds)
	INCF       _seconds+0, 1
;Nixie clock.mbas,72 :: 		if led_mode_seconds then
	BTFSS      _general_reg+0, 4
	GOTO       L_Nixie_32clock_interrupt16
;Nixie clock.mbas,74 :: 		led_nixie = not led_nixie
	MOVLW      1
	XORWF      PORTA+0, 1
L_Nixie_32clock_interrupt16:
;Nixie clock.mbas,76 :: 		if (seconds > 59) then
	MOVF       _seconds+0, 0
	SUBLW      59
	BTFSC      STATUS+0, 0
	GOTO       L_Nixie_32clock_interrupt19
;Nixie clock.mbas,78 :: 		seconds = 0
	CLRF       _seconds+0
;Nixie clock.mbas,79 :: 		inc(minutes)
	INCF       _minutes+0, 1
;Nixie clock.mbas,82 :: 		active_view = 1
	BSF        _general_reg+0, 1
;Nixie clock.mbas,84 :: 		if (minutes > 59) then
	MOVF       _minutes+0, 0
	SUBLW      59
	BTFSC      STATUS+0, 0
	GOTO       L_Nixie_32clock_interrupt22
;Nixie clock.mbas,86 :: 		minutes = 0
	CLRF       _minutes+0
;Nixie clock.mbas,87 :: 		inc(hours)
	INCF       _hours+0, 1
;Nixie clock.mbas,88 :: 		if (hours > 23) then
	MOVF       _hours+0, 0
	SUBLW      23
	BTFSC      STATUS+0, 0
	GOTO       L_Nixie_32clock_interrupt25
;Nixie clock.mbas,89 :: 		hours = 0
	CLRF       _hours+0
L_Nixie_32clock_interrupt25:
;Nixie clock.mbas,90 :: 		end if
L_Nixie_32clock_interrupt22:
;Nixie clock.mbas,91 :: 		end if
L_Nixie_32clock_interrupt19:
;Nixie clock.mbas,92 :: 		end if
L_Nixie_32clock_interrupt12:
;Nixie clock.mbas,94 :: 		if stepup_enable then
	BTFSS      _general_reg+0, 0
	GOTO       L_Nixie_32clock_interrupt28
;Nixie clock.mbas,95 :: 		pin_stepup = not pin_stepup
	MOVLW      1
	XORWF      PORTB+0, 1
	GOTO       L_Nixie_32clock_interrupt29
;Nixie clock.mbas,96 :: 		else
L_Nixie_32clock_interrupt28:
;Nixie clock.mbas,97 :: 		pin_stepup = 0
	BCF        PORTB+0, 0
;Nixie clock.mbas,98 :: 		end if
L_Nixie_32clock_interrupt29:
L_Nixie_32clock_interrupt2:
;Nixie clock.mbas,99 :: 		end if
L_Nixie_32clock_interrupt120:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of Nixie_32clock_interrupt

Nixie_32clock_reset4017:

;Nixie clock.mbas,102 :: 		sub procedure reset4017()
;Nixie clock.mbas,103 :: 		reset_4017 = 1
	BSF        PORTA+0, 2
;Nixie clock.mbas,104 :: 		delay_us(50)
	MOVLW      51
	MOVWF      R13+0
L_Nixie_32clock_reset401731:
	DECFSZ     R13+0, 1
	GOTO       L_Nixie_32clock_reset401731
;Nixie clock.mbas,105 :: 		reset_4017 = 0
	BCF        PORTA+0, 2
	RETURN
; end of Nixie_32clock_reset4017

Nixie_32clock_send_clocks_4017:

;Nixie clock.mbas,109 :: 		dim counter as byte
;Nixie clock.mbas,110 :: 		reset4017()
	CALL       Nixie_32clock_reset4017+0
;Nixie clock.mbas,111 :: 		counter = 0
	CLRF       send_clocks_4017_counter+0
;Nixie clock.mbas,112 :: 		while (counter <> clocks)
L_Nixie_32clock_send_clocks_401734:
	MOVF       send_clocks_4017_counter+0, 0
	XORWF      FARG_send_clocks_4017_clocks+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Nixie_32clock_send_clocks_401735
;Nixie clock.mbas,113 :: 		clock_4017 = 1
	BSF        PORTA+0, 3
;Nixie clock.mbas,114 :: 		delay_us(25)
	MOVLW      25
	MOVWF      R13+0
L_Nixie_32clock_send_clocks_401738:
	DECFSZ     R13+0, 1
	GOTO       L_Nixie_32clock_send_clocks_401738
	NOP
;Nixie clock.mbas,115 :: 		clock_4017 = 0
	BCF        PORTA+0, 3
;Nixie clock.mbas,116 :: 		delay_us(25)
	MOVLW      25
	MOVWF      R13+0
L_Nixie_32clock_send_clocks_401739:
	DECFSZ     R13+0, 1
	GOTO       L_Nixie_32clock_send_clocks_401739
	NOP
;Nixie clock.mbas,117 :: 		inc(counter)
	INCF       send_clocks_4017_counter+0, 1
;Nixie clock.mbas,118 :: 		wend
	GOTO       L_Nixie_32clock_send_clocks_401734
L_Nixie_32clock_send_clocks_401735:
	RETURN
; end of Nixie_32clock_send_clocks_4017

Nixie_32clock_num_to_nixie:

;Nixie clock.mbas,121 :: 		sub procedure num_to_nixie(dim num as byte)
;Nixie clock.mbas,124 :: 		case 0
	MOVF       FARG_num_to_nixie_num+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Nixie_32clock_num_to_nixie44
;Nixie clock.mbas,125 :: 		send_clocks_4017(7)
	MOVLW      7
	MOVWF      FARG_send_clocks_4017_clocks+0
	CALL       Nixie_32clock_send_clocks_4017+0
	GOTO       L_Nixie_32clock_num_to_nixie41
L_Nixie_32clock_num_to_nixie44:
;Nixie clock.mbas,126 :: 		case 1
	MOVF       FARG_num_to_nixie_num+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_Nixie_32clock_num_to_nixie47
;Nixie clock.mbas,127 :: 		send_clocks_4017(6)
	MOVLW      6
	MOVWF      FARG_send_clocks_4017_clocks+0
	CALL       Nixie_32clock_send_clocks_4017+0
	GOTO       L_Nixie_32clock_num_to_nixie41
L_Nixie_32clock_num_to_nixie47:
;Nixie clock.mbas,128 :: 		case 2
	MOVF       FARG_num_to_nixie_num+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_Nixie_32clock_num_to_nixie50
;Nixie clock.mbas,129 :: 		send_clocks_4017(2)
	MOVLW      2
	MOVWF      FARG_send_clocks_4017_clocks+0
	CALL       Nixie_32clock_send_clocks_4017+0
	GOTO       L_Nixie_32clock_num_to_nixie41
L_Nixie_32clock_num_to_nixie50:
;Nixie clock.mbas,130 :: 		case 3
	MOVF       FARG_num_to_nixie_num+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_Nixie_32clock_num_to_nixie53
;Nixie clock.mbas,131 :: 		send_clocks_4017(0)
	CLRF       FARG_send_clocks_4017_clocks+0
	CALL       Nixie_32clock_send_clocks_4017+0
	GOTO       L_Nixie_32clock_num_to_nixie41
L_Nixie_32clock_num_to_nixie53:
;Nixie clock.mbas,132 :: 		case 4
	MOVF       FARG_num_to_nixie_num+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L_Nixie_32clock_num_to_nixie56
;Nixie clock.mbas,133 :: 		send_clocks_4017(1)
	MOVLW      1
	MOVWF      FARG_send_clocks_4017_clocks+0
	CALL       Nixie_32clock_send_clocks_4017+0
	GOTO       L_Nixie_32clock_num_to_nixie41
L_Nixie_32clock_num_to_nixie56:
;Nixie clock.mbas,134 :: 		case 5
	MOVF       FARG_num_to_nixie_num+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L_Nixie_32clock_num_to_nixie59
;Nixie clock.mbas,135 :: 		send_clocks_4017(5)
	MOVLW      5
	MOVWF      FARG_send_clocks_4017_clocks+0
	CALL       Nixie_32clock_send_clocks_4017+0
	GOTO       L_Nixie_32clock_num_to_nixie41
L_Nixie_32clock_num_to_nixie59:
;Nixie clock.mbas,136 :: 		case 6
	MOVF       FARG_num_to_nixie_num+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L_Nixie_32clock_num_to_nixie62
;Nixie clock.mbas,137 :: 		send_clocks_4017(9)
	MOVLW      9
	MOVWF      FARG_send_clocks_4017_clocks+0
	CALL       Nixie_32clock_send_clocks_4017+0
	GOTO       L_Nixie_32clock_num_to_nixie41
L_Nixie_32clock_num_to_nixie62:
;Nixie clock.mbas,138 :: 		case 7
	MOVF       FARG_num_to_nixie_num+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L_Nixie_32clock_num_to_nixie65
;Nixie clock.mbas,139 :: 		send_clocks_4017(4)
	MOVLW      4
	MOVWF      FARG_send_clocks_4017_clocks+0
	CALL       Nixie_32clock_send_clocks_4017+0
	GOTO       L_Nixie_32clock_num_to_nixie41
L_Nixie_32clock_num_to_nixie65:
;Nixie clock.mbas,140 :: 		case 8
	MOVF       FARG_num_to_nixie_num+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L_Nixie_32clock_num_to_nixie68
;Nixie clock.mbas,141 :: 		send_clocks_4017(8)
	MOVLW      8
	MOVWF      FARG_send_clocks_4017_clocks+0
	CALL       Nixie_32clock_send_clocks_4017+0
	GOTO       L_Nixie_32clock_num_to_nixie41
L_Nixie_32clock_num_to_nixie68:
;Nixie clock.mbas,142 :: 		case 9
	MOVF       FARG_num_to_nixie_num+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L_Nixie_32clock_num_to_nixie71
;Nixie clock.mbas,143 :: 		send_clocks_4017(3)
	MOVLW      3
	MOVWF      FARG_send_clocks_4017_clocks+0
	CALL       Nixie_32clock_send_clocks_4017+0
	GOTO       L_Nixie_32clock_num_to_nixie41
L_Nixie_32clock_num_to_nixie71:
;Nixie clock.mbas,145 :: 		send_clocks_4017(7)
	MOVLW      7
	MOVWF      FARG_send_clocks_4017_clocks+0
	CALL       Nixie_32clock_send_clocks_4017+0
L_Nixie_32clock_num_to_nixie41:
;Nixie clock.mbas,146 :: 		end select
	RETURN
; end of Nixie_32clock_num_to_nixie

Nixie_32clock_pause_view:

;Nixie clock.mbas,149 :: 		sub procedure pause_view(dim time_pause as integer)
;Nixie clock.mbas,150 :: 		Vdelay_ms(time_pause)
	MOVF       FARG_pause_view_time_pause+0, 0
	MOVWF      FARG_VDelay_ms_Time_ms+0
	MOVF       FARG_pause_view_time_pause+1, 0
	MOVWF      FARG_VDelay_ms_Time_ms+1
	CALL       _VDelay_ms+0
	RETURN
; end of Nixie_32clock_pause_view

Nixie_32clock_show_time:

;Nixie clock.mbas,154 :: 		dim delay_time_view as integer
;Nixie clock.mbas,155 :: 		if set_time_mode then
	BTFSS      _general_reg+0, 2
	GOTO       L_Nixie_32clock_show_time75
;Nixie clock.mbas,156 :: 		delay_time_view = 200
	MOVLW      200
	MOVWF      show_time_delay_time_view+0
	CLRF       show_time_delay_time_view+1
	GOTO       L_Nixie_32clock_show_time76
;Nixie clock.mbas,157 :: 		else
L_Nixie_32clock_show_time75:
;Nixie clock.mbas,158 :: 		delay_time_view = 500
	MOVLW      244
	MOVWF      show_time_delay_time_view+0
	MOVLW      1
	MOVWF      show_time_delay_time_view+1
;Nixie clock.mbas,159 :: 		end if
L_Nixie_32clock_show_time76:
;Nixie clock.mbas,161 :: 		num_to_nixie((show_time_value and $F0)/$10)
	MOVLW      240
	ANDWF      _show_time_value+0, 0
	MOVWF      FARG_num_to_nixie_num+0
	RRF        FARG_num_to_nixie_num+0, 1
	BCF        FARG_num_to_nixie_num+0, 7
	RRF        FARG_num_to_nixie_num+0, 1
	BCF        FARG_num_to_nixie_num+0, 7
	RRF        FARG_num_to_nixie_num+0, 1
	BCF        FARG_num_to_nixie_num+0, 7
	RRF        FARG_num_to_nixie_num+0, 1
	BCF        FARG_num_to_nixie_num+0, 7
	CALL       Nixie_32clock_num_to_nixie+0
;Nixie clock.mbas,163 :: 		stepup_enable = 1
	BSF        _general_reg+0, 0
;Nixie clock.mbas,165 :: 		Vdelay_ms(delay_time_view)
	MOVF       show_time_delay_time_view+0, 0
	MOVWF      FARG_VDelay_ms_Time_ms+0
	MOVF       show_time_delay_time_view+1, 0
	MOVWF      FARG_VDelay_ms_Time_ms+1
	CALL       _VDelay_ms+0
;Nixie clock.mbas,167 :: 		stepup_enable = 0
	BCF        _general_reg+0, 0
;Nixie clock.mbas,169 :: 		num_to_nixie(show_time_value and $0F)
	MOVLW      15
	ANDWF      _show_time_value+0, 0
	MOVWF      FARG_num_to_nixie_num+0
	CALL       Nixie_32clock_num_to_nixie+0
;Nixie clock.mbas,170 :: 		Vdelay_ms(200)
	MOVLW      200
	MOVWF      FARG_VDelay_ms_Time_ms+0
	CLRF       FARG_VDelay_ms_Time_ms+1
	CALL       _VDelay_ms+0
;Nixie clock.mbas,172 :: 		stepup_enable = 1
	BSF        _general_reg+0, 0
;Nixie clock.mbas,174 :: 		Vdelay_ms(delay_time_view)
	MOVF       show_time_delay_time_view+0, 0
	MOVWF      FARG_VDelay_ms_Time_ms+0
	MOVF       show_time_delay_time_view+1, 0
	MOVWF      FARG_VDelay_ms_Time_ms+1
	CALL       _VDelay_ms+0
;Nixie clock.mbas,176 :: 		stepup_enable = 0
	BCF        _general_reg+0, 0
	RETURN
; end of Nixie_32clock_show_time

_main:

;Nixie clock.mbas,180 :: 		main:
;Nixie clock.mbas,183 :: 		TRISA = $00
	CLRF       TRISA+0
;Nixie clock.mbas,184 :: 		TRISB = $60
	MOVLW      96
	MOVWF      TRISB+0
;Nixie clock.mbas,185 :: 		PORTA = $00
	CLRF       PORTA+0
;Nixie clock.mbas,186 :: 		PORTB = $00
	CLRF       PORTB+0
;Nixie clock.mbas,187 :: 		timetmr = $00
	CLRF       _timetmr+0
	CLRF       _timetmr+1
;Nixie clock.mbas,188 :: 		general_reg = $00
	CLRF       _general_reg+0
;Nixie clock.mbas,189 :: 		seconds = $00
	CLRF       _seconds+0
;Nixie clock.mbas,190 :: 		minutes = $00
	CLRF       _minutes+0
;Nixie clock.mbas,191 :: 		hours = $00
	CLRF       _hours+0
;Nixie clock.mbas,192 :: 		clock_4017 = 0
	BCF        PORTA+0, 3
;Nixie clock.mbas,193 :: 		OPTION_REG = $58
	MOVLW      88
	MOVWF      OPTION_REG+0
;Nixie clock.mbas,194 :: 		INTCON = $A0
	MOVLW      160
	MOVWF      INTCON+0
;Nixie clock.mbas,195 :: 		reset4017()
	CALL       Nixie_32clock_reset4017+0
;Nixie clock.mbas,196 :: 		led_mode_seconds = 1
	BSF        _general_reg+0, 4
;Nixie clock.mbas,198 :: 		while (true)
L__main79:
;Nixie clock.mbas,199 :: 		if (button1 = 0) and (button2 = 0) then
	BTFSC      PORTB+0, 5
	GOTO       L__main123
	BSF        66, 0
	GOTO       L__main124
L__main123:
	BCF        66, 0
L__main124:
	CLRF       R1+0
	BTFSC      PORTB+0, 6
	GOTO       L__main86
	MOVLW      255
	MOVWF      R1+0
L__main86:
	CLRF       R0+0
	BTFSC      66, 0
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main84
;Nixie clock.mbas,201 :: 		viewTwo = 0
	BCF        _general_reg+0, 5
;Nixie clock.mbas,202 :: 		set_time_mode = 1
	BSF        _general_reg+0, 2
;Nixie clock.mbas,203 :: 		led_nixie = 0
	BCF        PORTA+0, 0
;Nixie clock.mbas,204 :: 		set_h = hours
	MOVF       _hours+0, 0
	MOVWF      _set_h+0
;Nixie clock.mbas,205 :: 		show_time_value = dec2bcd(set_h)
	MOVF       _hours+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _show_time_value+0
;Nixie clock.mbas,206 :: 		neon_hours = 1
	BSF        PORTB+0, 4
;Nixie clock.mbas,207 :: 		show_time()
	CALL       Nixie_32clock_show_time+0
;Nixie clock.mbas,208 :: 		set_step = 0
	BCF        _general_reg+0, 3
;Nixie clock.mbas,209 :: 		while(set_time_mode)
L__main88:
	BTFSS      _general_reg+0, 2
	GOTO       L__main89
;Nixie clock.mbas,210 :: 		if (set_step = 0) then
	BTFSC      _general_reg+0, 3
	GOTO       L__main93
;Nixie clock.mbas,211 :: 		if (button1 = 0) then
	BTFSC      PORTB+0, 5
	GOTO       L__main96
;Nixie clock.mbas,212 :: 		inc(set_h)
	INCF       _set_h+0, 1
;Nixie clock.mbas,213 :: 		if (set_h > 23) then
	MOVF       _set_h+0, 0
	SUBLW      23
	BTFSC      STATUS+0, 0
	GOTO       L__main99
;Nixie clock.mbas,214 :: 		set_h = 0
	CLRF       _set_h+0
L__main99:
;Nixie clock.mbas,216 :: 		show_time_value = dec2bcd(set_h)
	MOVF       _set_h+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _show_time_value+0
;Nixie clock.mbas,217 :: 		show_time()
	CALL       Nixie_32clock_show_time+0
L__main96:
;Nixie clock.mbas,219 :: 		if (button2 = 0) then
	BTFSC      PORTB+0, 6
	GOTO       L__main102
;Nixie clock.mbas,221 :: 		hours = set_h
	MOVF       _set_h+0, 0
	MOVWF      _hours+0
;Nixie clock.mbas,223 :: 		set_m = minutes
	MOVF       _minutes+0, 0
	MOVWF      _set_m+0
;Nixie clock.mbas,224 :: 		show_time_value = dec2bcd(set_m)
	MOVF       _minutes+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _show_time_value+0
;Nixie clock.mbas,225 :: 		neon_hours = 0
	BCF        PORTB+0, 4
;Nixie clock.mbas,226 :: 		neon_minutes = 1
	BSF        PORTB+0, 7
;Nixie clock.mbas,227 :: 		show_time()
	CALL       Nixie_32clock_show_time+0
;Nixie clock.mbas,228 :: 		set_step = 1
	BSF        _general_reg+0, 3
L__main102:
;Nixie clock.mbas,229 :: 		end if
	GOTO       L__main94
;Nixie clock.mbas,230 :: 		else
L__main93:
;Nixie clock.mbas,231 :: 		if (button1 = 0) then
	BTFSC      PORTB+0, 5
	GOTO       L__main105
;Nixie clock.mbas,232 :: 		inc(set_m)
	INCF       _set_m+0, 1
;Nixie clock.mbas,233 :: 		if (set_m > 59) then
	MOVF       _set_m+0, 0
	SUBLW      59
	BTFSC      STATUS+0, 0
	GOTO       L__main108
;Nixie clock.mbas,234 :: 		set_m = 0
	CLRF       _set_m+0
L__main108:
;Nixie clock.mbas,236 :: 		show_time_value = dec2bcd(set_m)
	MOVF       _set_m+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _show_time_value+0
;Nixie clock.mbas,237 :: 		show_time()
	CALL       Nixie_32clock_show_time+0
L__main105:
;Nixie clock.mbas,239 :: 		if (button2 = 0) then
	BTFSC      PORTB+0, 6
	GOTO       L__main111
;Nixie clock.mbas,241 :: 		minutes = set_m
	MOVF       _set_m+0, 0
	MOVWF      _minutes+0
;Nixie clock.mbas,242 :: 		neon_minutes = 0
	BCF        PORTB+0, 7
;Nixie clock.mbas,243 :: 		seconds = 0
	CLRF       _seconds+0
;Nixie clock.mbas,244 :: 		timetmr = 0
	CLRF       _timetmr+0
	CLRF       _timetmr+1
;Nixie clock.mbas,245 :: 		set_time_mode = 0
	BCF        _general_reg+0, 2
;Nixie clock.mbas,246 :: 		active_view = 1 'passa alla visualizzazione orario impostato
	BSF        _general_reg+0, 1
L__main111:
;Nixie clock.mbas,248 :: 		end if
L__main94:
;Nixie clock.mbas,249 :: 		wend
	GOTO       L__main88
L__main89:
	GOTO       L__main85
;Nixie clock.mbas,250 :: 		else
L__main84:
;Nixie clock.mbas,251 :: 		if (button1 = 0) or (button2 = 0) or active_view then
	BTFSC      PORTB+0, 5
	GOTO       L__main125
	BSF        66, 0
	GOTO       L__main126
L__main125:
	BCF        66, 0
L__main126:
	CLRF       R1+0
	BTFSC      PORTB+0, 6
	GOTO       L__main116
	MOVLW      255
	MOVWF      R1+0
L__main116:
	CLRF       R0+0
	BTFSC      66, 0
	INCF       R0+0, 1
	MOVF       R0+0, 0
	IORWF      R1+0, 1
	CLRF       R0+0
	BTFSC      _general_reg+0, 1
	INCF       R0+0, 1
	MOVF       R1+0, 0
	IORWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main114
;Nixie clock.mbas,252 :: 		if (viewTwo) then
	BTFSS      _general_reg+0, 5
	GOTO       L__main118
;Nixie clock.mbas,253 :: 		active_view = 0
	BCF        _general_reg+0, 1
;Nixie clock.mbas,254 :: 		viewTwo = 0
	BCF        _general_reg+0, 5
;Nixie clock.mbas,255 :: 		Vdelay_ms(500)
	MOVLW      244
	MOVWF      FARG_VDelay_ms_Time_ms+0
	MOVLW      1
	MOVWF      FARG_VDelay_ms_Time_ms+1
	CALL       _VDelay_ms+0
	GOTO       L__main119
;Nixie clock.mbas,256 :: 		else
L__main118:
;Nixie clock.mbas,257 :: 		active_view = 1
	BSF        _general_reg+0, 1
;Nixie clock.mbas,258 :: 		viewTwo = 1
	BSF        _general_reg+0, 5
;Nixie clock.mbas,259 :: 		end if
L__main119:
;Nixie clock.mbas,262 :: 		led_mode_seconds = 0
	BCF        _general_reg+0, 4
;Nixie clock.mbas,263 :: 		led_nixie = 1
	BSF        PORTA+0, 0
;Nixie clock.mbas,264 :: 		neon_hours = 1
	BSF        PORTB+0, 4
;Nixie clock.mbas,266 :: 		show_time_value = dec2bcd(hours)
	MOVF       _hours+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _show_time_value+0
;Nixie clock.mbas,267 :: 		minutes_now = minutes 'campiona i minuti prima della visualizzazione
	MOVF       _minutes+0, 0
	MOVWF      _minutes_now+0
;Nixie clock.mbas,268 :: 		show_time()
	CALL       Nixie_32clock_show_time+0
;Nixie clock.mbas,270 :: 		Vdelay_ms(120)
	MOVLW      120
	MOVWF      FARG_VDelay_ms_Time_ms+0
	CLRF       FARG_VDelay_ms_Time_ms+1
	CALL       _VDelay_ms+0
;Nixie clock.mbas,271 :: 		neon_hours = 0
	BCF        PORTB+0, 4
;Nixie clock.mbas,272 :: 		neon_minutes = 1
	BSF        PORTB+0, 7
;Nixie clock.mbas,273 :: 		Vdelay_ms(120)
	MOVLW      120
	MOVWF      FARG_VDelay_ms_Time_ms+0
	CLRF       FARG_VDelay_ms_Time_ms+1
	CALL       _VDelay_ms+0
;Nixie clock.mbas,275 :: 		show_time_value = dec2bcd(minutes_now)
	MOVF       _minutes_now+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _show_time_value+0
;Nixie clock.mbas,276 :: 		show_time()
	CALL       Nixie_32clock_show_time+0
;Nixie clock.mbas,277 :: 		led_nixie = 0
	BCF        PORTA+0, 0
;Nixie clock.mbas,278 :: 		neon_minutes = 0
	BCF        PORTB+0, 7
;Nixie clock.mbas,279 :: 		led_mode_seconds = 1
	BSF        _general_reg+0, 4
L__main114:
;Nixie clock.mbas,281 :: 		end if
L__main85:
;Nixie clock.mbas,282 :: 		wend
	GOTO       L__main79
	GOTO       $+0
; end of _main
